Bug 1603511 - borgbackup: FTBFS in Fedora rawhide
Summary: borgbackup: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: borgbackup
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Benjamin Pereto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 1605754
Blocks: F29FTBFS F29BetaFreezeException PYTHON37 1599068
TreeView+ depends on / blocked
 
Reported: 2018-07-19 15:07 UTC by Mohan Boddu
Modified: 2018-09-12 02:54 UTC (History)
6 users (show)

Fixed In Version: borgbackup-1.1.7-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-12 02:54:17 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2018-07-19 15:07 UTC, Mohan Boddu
no flags Details
root.log (1.00 KB, text/plain)
2018-07-19 15:08 UTC, Mohan Boddu
no flags Details
state.log (475 bytes, text/plain)
2018-07-19 15:08 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 15:07:50 UTC
borgbackup failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28169694


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix borgbackup at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
borgbackup will be orphaned. Before branching of Fedora 30,
borgbackup will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 15:07:56 UTC
Created attachment 1460763 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Mohan Boddu 2018-07-19 15:08:00 UTC
Created attachment 1460764 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Mohan Boddu 2018-07-19 15:08:04 UTC
Created attachment 1460765 [details]
state.log

Comment 4 Benjamin Pereto 2018-07-21 10:32:03 UTC
Depending on llfuse.

Comment 5 Miro Hrončok 2018-07-25 09:25:33 UTC
(This is a mass bug update. Forgive me if things are not 100% accurate for this one.)

At this moment, your package still requires Python 3.6. This will cause broken upgrades to Fedora 29. Please prioritize this rebuild.

Let me know if you need help from the Python maintenance team figuring out why the package FTBFS.

Consider orphaning the package if you don't have time for it.

Consider retiring the package if upstream is dead and nothing depends on it in Fedora.

If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Comment 6 Jan Kurik 2018-08-14 11:10:39 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 7 Benjamin Pereto 2018-08-19 12:47:33 UTC
> If you are blocked by other packages (I've recently tried to set the Bugzilla metadata to reflect that), consider helping there as well. Thank you.

Rebuild should work after the blocked package python-llfuse is resolved.

Comment 8 Kevin Fenzi 2018-09-02 23:17:52 UTC
Note that python-llfuse is back now... and borgbackup needs a BuildRequires: gcc and then it builds fine in rawhide. 

Let me know if you want me to just do a build... happpy to help.

Comment 9 Benjamin Pereto 2018-09-03 05:26:27 UTC
hi, thanks didn't see that.

package is building:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1141331

Comment 10 Miro Hrončok 2018-09-03 07:55:55 UTC
Excellent! Please, build it also for f29 (you will need a buildroot override for python-llfuse if it's not there yet). Let me know if I can help.

Comment 11 Fedora Blocker Bugs Application 2018-09-03 07:56:28 UTC
Proposed as a Freeze Exception for 29-beta by Fedora user churchyard using the blocker tracking app because:

 Broken upgrade path to Fedora 29.

Comment 12 Benjamin Pereto 2018-09-03 17:09:58 UTC
All done.
https://koji.fedoraproject.org/koji/taskinfo?taskID=29469609

Is there anything else needed?

Comment 13 Fedora Update System 2018-09-03 17:11:29 UTC
borgbackup-1.1.7-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f30d2e9eb7

Comment 14 Miro Hrončok 2018-09-03 17:15:06 UTC
Nope. That update is all what's needed. Thank You.

Comment 15 Fedora Update System 2018-09-04 09:03:55 UTC
borgbackup-1.1.7-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f30d2e9eb7

Comment 16 Adam Williamson 2018-09-10 23:26:18 UTC
Discussed at 2018-09-10 freeze exception review meeting: https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-10/f29-blocker-review.2018-09-10-16.01.html . Accepted (under the block vote at the end of the meeting) as a freeze exception issue as this can prevent upgrades working without the potentially-dangerous --allowerasing , and upgrades typically run without updates-testing so there is a benefit to pushing this stable for folks trying to upgrade at present.

Comment 17 Fedora Update System 2018-09-12 02:54:17 UTC
borgbackup-1.1.7-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.